org.icefaces.ace.component.list

## Enum ListBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ListBase.PropertyKeys>
  - - org.icefaces.ace.component.list.ListBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ListBase.PropertyKeys>
  Enclosing class:
    ListBase

      protected static enum ListBase.PropertyKeys
      extends java.lang.Enum<ListBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `applyingFilters`
    `applyingSorts`
    `bodyClass`
    `bodyStyle`
    `bottomButtonClass`
    `compact`
    `controlsContainerClass`
    `controlsEnabled`
    `controlsFormat`
    `controlsItemClass`
    `controlsSpacerClass`
    `doubleClickMigration`
    `downButtonClass`
    `dragging`
    `dropGroup`
    `filterBy`
    `filteredData`
    `filterEvent`
    `filterMatchMode`
    `filterOptions`
    `filterStyle`
    `filterStyleClass`
    `filterValue`
    `filterValues`
    `footerClass`
    `footerStyle`
    `headerClass`
    `headerStyle`
    `height`
    `itemClass`
    `itemStyle`
    `placeholder`
    `placeholderClass`
    `selectionListener`
    `selectionMode`
    `selections`
    `sortAscending`
    `sortBy`
    `sortFunction`
    `style`
    `styleClass`
    `tabIndex`
    `topButtonClass`
    `upButtonClass`
    `valueHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ListBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final ListBase.PropertyKeys accesskey

    - #### bodyClass

          public static final ListBase.PropertyKeys bodyClass

    - #### bodyStyle

          public static final ListBase.PropertyKeys bodyStyle

    - #### bottomButtonClass

          public static final ListBase.PropertyKeys bottomButtonClass

    - #### compact

          public static final ListBase.PropertyKeys compact

    - #### controlsContainerClass

          public static final ListBase.PropertyKeys controlsContainerClass

    - #### controlsEnabled

          public static final ListBase.PropertyKeys controlsEnabled

    - #### controlsFormat

          public static final ListBase.PropertyKeys controlsFormat

    - #### controlsItemClass

          public static final ListBase.PropertyKeys controlsItemClass

    - #### controlsSpacerClass

          public static final ListBase.PropertyKeys controlsSpacerClass

    - #### doubleClickMigration

          public static final ListBase.PropertyKeys doubleClickMigration

    - #### downButtonClass

          public static final ListBase.PropertyKeys downButtonClass

    - #### dragging

          public static final ListBase.PropertyKeys dragging

    - #### dropGroup

          public static final ListBase.PropertyKeys dropGroup

    - #### filterBy

          public static final ListBase.PropertyKeys filterBy

    - #### filterEvent

          public static final ListBase.PropertyKeys filterEvent

    - #### filterMatchMode

          public static final ListBase.PropertyKeys filterMatchMode

    - #### filterOptions

          public static final ListBase.PropertyKeys filterOptions

    - #### filterStyle

          public static final ListBase.PropertyKeys filterStyle

    - #### filterStyleClass

          public static final ListBase.PropertyKeys filterStyleClass

    - #### filterValue

          public static final ListBase.PropertyKeys filterValue

    - #### filterValues

          public static final ListBase.PropertyKeys filterValues

    - #### footerClass

          public static final ListBase.PropertyKeys footerClass

    - #### footerStyle

          public static final ListBase.PropertyKeys footerStyle

    - #### headerClass

          public static final ListBase.PropertyKeys headerClass

    - #### headerStyle

          public static final ListBase.PropertyKeys headerStyle

    - #### height

          public static final ListBase.PropertyKeys height

    - #### itemClass

          public static final ListBase.PropertyKeys itemClass

    - #### itemStyle

          public static final ListBase.PropertyKeys itemStyle

    - #### placeholder

          public static final ListBase.PropertyKeys placeholder

    - #### placeholderClass

          public static final ListBase.PropertyKeys placeholderClass

    - #### selectionListener

          public static final ListBase.PropertyKeys selectionListener

    - #### selectionMode

          public static final ListBase.PropertyKeys selectionMode

    - #### selections

          public static final ListBase.PropertyKeys selections

    - #### sortAscending

          public static final ListBase.PropertyKeys sortAscending

    - #### sortBy

          public static final ListBase.PropertyKeys sortBy

    - #### sortFunction

          public static final ListBase.PropertyKeys sortFunction

    - #### style

          public static final ListBase.PropertyKeys style

    - #### styleClass

          public static final ListBase.PropertyKeys styleClass

    - #### tabIndex

          public static final ListBase.PropertyKeys tabIndex

    - #### topButtonClass

          public static final ListBase.PropertyKeys topButtonClass

    - #### upButtonClass

          public static final ListBase.PropertyKeys upButtonClass

    - #### applyingFilters

          public static final ListBase.PropertyKeys applyingFilters

    - #### applyingSorts

          public static final ListBase.PropertyKeys applyingSorts

    - #### filteredData

          public static final ListBase.PropertyKeys filteredData

    - #### valueHashCode

          public static final ListBase.PropertyKeys valueHashCode

  - ### Method Detail

    - #### values

          public static ListBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListBase.PropertyKeys c : ListBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ListBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.